Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - pocketsphinx

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: pocketsphinx 5prealpha-8

Git Clone URL: https://aur-dev.archlinux.org/pocketsphinx.git (read-only)
Package Base: pocketsphinx
Description: Lightweight speech recognition engine, specifically tuned for handheld and mobile devices, though it works equally well on the desktop.
Upstream URL: http://cmusphinx.sourceforge.net
Keywords: mobile recognition speech
Licenses: BSD
Submitter: None
Maintainer: marcs (Martchus)
Last Packager: marcs
Votes: 58
Popularity: 0.191574
First Submitted: 2008-08-08 21:47
Last Updated: 2017-01-24 15:14

Latest Comments

1 2 3 4 5 6 Next › Last »

doskoi commented on 2017-02-04 06:26

Yes sorry, in fact both pocketsphinx and sphinxbase downloads a LICENSE file, so the second overwrites the first when installed in batch with an AUR helper.
Maybe the PKGBUILD could assign them a more unique name?

marcs commented on 2017-02-01 10:22

License checksum verified, it is fine, maybe a problem with your download.
I expect to update the checksum when the copyright year will be updated to 2017.

doskoi commented on 2017-01-30 20:56

The checksum of the LICENSE file is wrong.

petronny commented on 2017-01-24 05:35

Hi, gstreamer0.10-base has disappeared from [community]...
The package can be compiled without it, but I'm not sure if it is fully functional.
Anyway, please fix it. Thank you.

petronny commented on 2017-01-23 08:49

Please change 'python3.5' to 'python3.6' in the last line. Thank you

marcs commented on 2016-08-24 08:21

The includes paths are:
/usr/include/sphinxbase
/usr/include/pocketsphinx

If you didn't move those headers your installation is fine.

Blueman55 commented on 2016-08-19 18:03

Hello everyone. Newby here.

I installed this package along with sphinxbase and had to change some of the includes so that they looked inside the pocketsphinx and sphinxbase directories generated in /usr/include/. Is that normal or did I somehow botch my installation?

Also, thanks for the package guys.

Martchus commented on 2016-06-01 20:38

I had no particular reason to reconfigure it twice. Reconfiguring first and then doing the copies is better.

marcs commented on 2016-06-01 10:14

Hi martchus,

I agree with moving the depends, you are right, I changed only the fact that in your prepare function you are reconfiguring autotools twice, which I found unnecessary. Please let me know if you had any particular reason to do that, why exporting python on reconf ?

I've added you as a comantainer.

Thank you

Martchus commented on 2016-05-10 16:05

Needs to be reconfigured for use with current automake. Additionally, I think python dependencies are only required if one uses the python bindings. Hence it would make sense to make these make-only. If a python package actually uses this, Python would be installed as a dependency of this package anyways.

Here is an updated version: https://github.com/Martchus/PKGBUILDs/blob/master/pocketsphinx/default/PKGBUILD